<?php
namespace Bushelpowered\Api\Aggregator\Payments\V1\Request;
        
class GetPaymentByIdRequest 
{
    /** @var string $id The ID of the payment*/
    public string $id;
    /** @var \Bushelpowered\Api\Aggregator\Payments\V1\Enums\PaymentOrigin $paymentOrigin */
    public \Bushelpowered\Api\Aggregator\Payments\V1\Enums\PaymentOrigin $paymentOrigin;
    /** @var \Bushelpowered\Api\Aggregator\Payments\V1\Enums\PaymentTiming $paymentTiming */
    public \Bushelpowered\Api\Aggregator\Payments\V1\Enums\PaymentTiming $paymentTiming;

    /**
     * @param  string  $id The ID of the payment
     * @param  \Bushelpowered\Api\Aggregator\Payments\V1\Enums\PaymentOrigin  $paymentOrigin 
     * @param  \Bushelpowered\Api\Aggregator\Payments\V1\Enums\PaymentTiming  $paymentTiming 
     */
    public function __construct(string $id, \Bushelpowered\Api\Aggregator\Payments\V1\Enums\PaymentOrigin $paymentOrigin, \Bushelpowered\Api\Aggregator\Payments\V1\Enums\PaymentTiming $paymentTiming)
    {
        $this->id = $id;
        $this->paymentOrigin = $paymentOrigin;
        $this->paymentTiming = $paymentTiming;
    }
    

}