<?php
namespace Bushelpowered\Api\Finops\Aggregator\V1\Projections;
        
class CreateOrUpdateDealerDetails 
{
    /** @var \Bushelpowered\Api\Finops\Aggregator\V1\Projections\LenderSpecificDealerInfo $lenderSpecificInfo */
    public \Bushelpowered\Api\Finops\Aggregator\V1\Projections\LenderSpecificDealerInfo $lenderSpecificInfo;
    /** @var bool $enabled */
    public bool $enabled;
    /** @var bool $showInProviderList */
    public bool $showInProviderList;
    /** @var string $name */
    public string $name;
    /** @var string $link */
    public string $link;
    /** @var string $phone */
    public string $phone;
    /** @var string $email */
    public string $email;
    /** @var null|\Bushelpowered\Api\Finops\Aggregator\V1\Projections\FileUpdate $icon */
    public ?\Bushelpowered\Api\Finops\Aggregator\V1\Projections\FileUpdate $icon = null;
    /** @var null|\Bushelpowered\Api\Finops\Aggregator\V1\Projections\FileUpdate $banner */
    public ?\Bushelpowered\Api\Finops\Aggregator\V1\Projections\FileUpdate $banner = null;
    /** @var string[] $allowedWalletIds */
    public array $allowedWalletIds;

    /**
     * @param  \Bushelpowered\Api\Finops\Aggregator\V1\Projections\LenderSpecificDealerInfo  $lenderSpecificInfo 
     * @param  bool  $enabled 
     * @param  bool  $showInProviderList 
     * @param  string  $name 
     * @param  string  $link 
     * @param  string  $phone 
     * @param  string  $email 
     * @param  null|\Bushelpowered\Api\Finops\Aggregator\V1\Projections\FileUpdate  $icon 
     * @param  null|\Bushelpowered\Api\Finops\Aggregator\V1\Projections\FileUpdate  $banner 
     * @param  string[]  $allowedWalletIds 
     */
    public function __construct(\Bushelpowered\Api\Finops\Aggregator\V1\Projections\LenderSpecificDealerInfo $lenderSpecificInfo, bool $enabled, bool $showInProviderList, string $name, string $link, string $phone, string $email, ?\Bushelpowered\Api\Finops\Aggregator\V1\Projections\FileUpdate $icon, ?\Bushelpowered\Api\Finops\Aggregator\V1\Projections\FileUpdate $banner, array $allowedWalletIds)
    {
        $this->lenderSpecificInfo = $lenderSpecificInfo;
        $this->enabled = $enabled;
        $this->showInProviderList = $showInProviderList;
        $this->name = $name;
        $this->link = $link;
        $this->phone = $phone;
        $this->email = $email;
        $this->icon = $icon;
        $this->banner = $banner;
        $this->allowedWalletIds = $allowedWalletIds;
    }
    

}