<?php
namespace Bushelpowered\Api\Payments\V1\Response;
        
class PaymentCountByTimingResponse 
{
    /** @var int $scheduledCount The count of scheduled payments with the given filters*/
    public int $scheduledCount;
    /** @var int $immediateCount The count of immediate payments with the given filters*/
    public int $immediateCount;

    /**
     * @param  int  $scheduledCount The count of scheduled payments with the given filters
     * @param  int  $immediateCount The count of immediate payments with the given filters
     */
    public function __construct(int $scheduledCount, int $immediateCount)
    {
        $this->scheduledCount = $scheduledCount;
        $this->immediateCount = $immediateCount;
    }
    

}