<?php
namespace Bushelpowered\Api\Quoting\V1\Request;
        
class StaffCreateFileImportRequest 
{
    /** @var string $name Name of the file as it was stored on the computer that uploaded it*/
    public string $name;
    /** @var string $file List of products that are Base64 encoded. Limit of 5MB*/
    public string $file;

    /**
     * @param  string  $name Name of the file as it was stored on the computer that uploaded it
     * @param  string  $file List of products that are Base64 encoded. Limit of 5MB
     */
    public function __construct(string $name, string $file)
    {
        $this->name = $name;
        $this->file = $file;
    }
    

}