<?php
namespace Bushelpowered\Api\Trade\Config\V1\Model;
        
class SalesSeriesConfiguration 
{
    /** @var null|string $salesSeriesId The Sales Series's unique identifier. From the Trade Config Service.*/
    public ?string $salesSeriesId = null;
    /** @var \Bushelpowered\Api\Common\Config\Model\Configuration[] $configurations This Sales Series's configurations.*/
    public array $configurations;

    /**
     * @param  null|string  $salesSeriesId The Sales Series's unique identifier. From the Trade Config Service.
     * @param  \Bushelpowered\Api\Common\Config\Model\Configuration[]  $configurations This Sales Series's configurations.
     */
    public function __construct(?string $salesSeriesId, array $configurations)
    {
        $this->salesSeriesId = $salesSeriesId;
        $this->configurations = $configurations;
    }
    

}