<?php
namespace Bushelpowered\Api\Trade\Config\V1\Model;
        
class SalesSeriesConfigurationListItem 
{
    /** @var null|string $salesSeriesId The Sales Series's unique identifier. From the Trade Config Service.*/
    public ?string $salesSeriesId = null;
    /** @var string $displayName */
    public string $displayName;

    /**
     * @param  null|string  $salesSeriesId The Sales Series's unique identifier. From the Trade Config Service.
     * @param  string  $displayName 
     */
    public function __construct(?string $salesSeriesId, string $displayName)
    {
        $this->salesSeriesId = $salesSeriesId;
        $this->displayName = $displayName;
    }
    

}