<?php
namespace Bushelpowered\Api\Trade\Esign\V1\Model;
        
class EsignListItem 
{
    /** @var string $contractId The Esign Service's Contract Id.*/
    public string $contractId;
    /** @var \Bushelpowered\Api\Trade\Esign\V1\Model\EsignListDocument[] $documents A list of documents associated with the Esign contract.*/
    public array $documents;

    /**
     * @param  string  $contractId The Esign Service's Contract Id.
     * @param  \Bushelpowered\Api\Trade\Esign\V1\Model\EsignListDocument[]  $documents A list of documents associated with the Esign contract.
     */
    public function __construct(string $contractId, array $documents)
    {
        $this->contractId = $contractId;
        $this->documents = $documents;
    }
    

}