<?php
namespace Bushelpowered\Api\Trade\Esign\V1\Request;
        
interface EncodedPdf
{
        /**
         * @return string The PDF of the document base64 encoded.
         */
    public function getfile(): string;
        /**
         * @return null|string A version number for the contract. If id matches an existing contract, having a different version will create an amendment.
         */
    public function getversion(): ?string;
}