<?php
namespace Bushelpowered\Api\Businesspages\V1\Model;
        
class LocationWithName 
{
    /** @var string $id The primary unique identifier.*/
    public string $id;
    /** @var string $name The calculated name of the location. Derived from internalName ?: publicName ?: sourceName ?: sourceId.*/
    public string $name;

    /**
     * @param  string  $id The primary unique identifier.
     * @param  string  $name The calculated name of the location. Derived from internalName ?: publicName ?: sourceName ?: sourceId.
     */
    public function __construct(string $id, string $name)
    {
        $this->id = $id;
        $this->name = $name;
    }
    

}