<?php
namespace Bushelpowered\Api\Finops\Aggregator\V1\Requests;
        
class UpdateTermItem 
{
    /** @var null|string $id A term with a null ID is assumed to be a new term*/
    public ?string $id = null;
    /** @var string $name */
    public string $name;
    /** @var string $content */
    public string $content;

    /**
     * @param  null|string  $id A term with a null ID is assumed to be a new term
     * @param  string  $name 
     * @param  string  $content 
     */
    public function __construct(?string $id, string $name, string $content)
    {
        $this->id = $id;
        $this->name = $name;
        $this->content = $content;
    }
    

}