<?php
namespace Bushelpowered\Api\Iam\Serviceaccounts\V1;
        
class CreateServiceAccountKeyMetadata
{
    public function __construct(
        public ?string $requiredAuthorization,
				public ?string $requiredTenantSpecified,
        public ?array $extraOptionalMetadata = null,
    ) {}
    
    public function getMetadata() {
        $array = [];
        
        
        if ($this->requiredAuthorization) {
            $array['Authorization'] = $this->requiredAuthorization;
        }
    
        if ($this->requiredTenantSpecified) {
            $array['X-Bushel-Tenant'] = $this->requiredTenantSpecified;
        }
    
        
        return $this->extraOptionalMetadata ? array_merge($array, $this->extraOptionalMetadata) : $array;
    }
}