<?php
namespace Bushelpowered\Api\Platform\Message\V1\Response;
        
class SendMessageResponse 
{
    /** @var string $notificationId The id of the notification sent. If the request was a dry-run, this id will not be use able to find a notification.*/
    public string $notificationId;
    /** @var \Bushelpowered\Api\Platform\Message\V1\Response\Target[] $targets The list of targets that will/would have receive(d) the notification.*/
    public array $targets;

    /**
     * @param  string  $notificationId The id of the notification sent. If the request was a dry-run, this id will not be use able to find a notification.
     * @param  \Bushelpowered\Api\Platform\Message\V1\Response\Target[]  $targets The list of targets that will/would have receive(d) the notification.
     */
    public function __construct(string $notificationId, array $targets)
    {
        $this->notificationId = $notificationId;
        $this->targets = $targets;
    }
    

}