<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Model;
        
class BidCommodityStandard 
{
    /** @var string $name The Commodity's name*/
    public string $name;
    /** @var \Bushelpowered\Api\Trade\Futures\V1\Model\BidProductStandard[] $products The Products tied to the Commodity*/
    public array $products;

    /**
     * @param  string  $name The Commodity's name
     * @param  \Bushelpowered\Api\Trade\Futures\V1\Model\BidProductStandard[]  $products The Products tied to the Commodity
     */
    public function __construct(string $name, array $products)
    {
        $this->name = $name;
        $this->products = $products;
    }
    

}